Has patch: Hito:
Add-on name: Unknown
Description

Cuando intentamos conectar con una BBDD postgres desde la ventana de añadir capa, da un error y no nos permite ni seleccionar la
tabla con la que queremos trabajar.

El mensaje que muestra es:

https://redmine.gvsig.net/redmine/attachments/download/1489/Error_GeoDB.png

El log que genera es:

https://redmine.gvsig.net/redmine/attachments/download/1490/gvSIG.log

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3863: Editing mode is no... Closed 11/09/2015
Related to Application: gvSIG desktop - gvSIG bugs # 4014: Añadir capa de BBD... Closed 01/16/2016
Blocks Application: gvSIG desktop - gvSIG bugs # 3810: Error al cargar PostGIS Closed 10/15/2015

Associated revisions
Revision 42609 - 12/30/2015 02:02 PM - Joaquín  del Cerro Murciano

refs #3967, añadido al interface ResourceParameters un metodo getResourceID para que cada tipo de recurso ofrezca un identificador adecuado para
el recurso. Se ha añadido en AbstractResourceParameters una implementacion por defecto para el y modificado los parametros de los recursos de
fichero, memoria y multi-recurso.

Revision 42611 - 12/31/2015 12:53 PM - Joaquín  del Cerro Murciano

refs #3967, Modificado el formato de ResourceID de los recursos de DAL para usar la serializacion a cadena de los DynObject (DynObjectEncoder).

History
#1 - 12/29/2015 08:52 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3810: Error al cargar PostGIS added

#2 - 12/29/2015 08:52 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3863: Editing mode is not finished in Windows added
#3 - 12/29/2015 08:53 PM - Joaquín  del Cerro Murciano
- Related to deleted (gvSIG bugs #3810: Error al cargar PostGIS)

#4 - 12/29/2015 08:53 PM - Joaquín  del Cerro Murciano
- Blocks gvSIG bugs #3810: Error al cargar PostGIS added

#5 - 12/29/2015 09:00 PM - Joaquín  del Cerro Murciano

Al parecer este error se produce debido a la correccion realizada en el ticket #3863.
El error parece estar en el metodo createAddResource (linea 300) de la clase DefaultResourceManager en donde no se ha tenido en cuenta que que
los recursos pueden no ser de tipo fichero y falla al intentar crear un recurso de BBDD.

#6 - 12/30/2015 02:07 PM - Joaquín  del Cerro Murciano

He añadido a ResourceParameters un metodo getResourceID para que cada tipo de recurso ofrezca un identificador adecuado a el.
En la clase AbstractResourceParameters he dejado una implementacion por defecto, y los recursos de fichero, memoria y multi tienen una
implementacion propia.

Con esto el manager de los recursos no tiene que ir "investigando" a cerca de los parametro que tiene ese recurso para intentar obtener un
identificador adecuado, que era cuando se producia el error, cuando intentaba encontrar un nombre de fichero en un recurso de tipo conexion a
postgreSQL.

#7 - 12/31/2015 10:22 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#8 - 01/15/2016 02:36 PM - Álvaro Anguix
- Status changed from Fixed to New
- File gvSIG.log added

Al intentar conectar con el PostGIS de testing, meto los parametros y al darle a aceptar se cierra la ventana de añadir capa y no pasa nada más.
Adjunto log.

#9 - 01/16/2016 09:19 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4014: Añadir capa de BBDD, cerrar ventana "parametros de conexion" cierrar "añadir capa". added

#10 - 01/16/2016 09:21 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Cierro este ticket y abro #4014 ya que el error que se esta dando no tiene nada que ver con el inicial de este ticket, que parece que si que esta
corregido.

#11 - 01/20/2016 12:33 PM - Álvaro Anguix
- Status changed from Fixed to New
- File gvSIG.log added

Me sigue pasando con el 2415. Adjunto log
#12 - 01/20/2016 12:34 PM - Álvaro Anguix
- Status changed from New to Closed

Ni caso. Había puesto un parámetro mal. Lo cierro

Files
gvSIG.log 388 KB 01/15/2016 Álvaro Anguix
gvSIG.log 397 KB 01/20/2016 Álvaro Anguix
